Unable to upgrade Harvest 12.6 schema to V13

Document ID : KB000004726
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

Unable to upgrade Harvest 12.6 schema to V13

When we run the hdbsetup to upgrade the repository, we get this error:

hserver: getentry.c:35: ldap_first_entry: Assertion `( (ld)->ldc->ldc_options.ldo_valid == 0x2 )' failed.

sh: línea 1: 28580 Abortado hserver -upgrade -authmode=internal -verbose -edb=.hsvrtemp.dfo >> "/home/apsa/scm/servidor/scm/log/updateschema.log"

and the schema has not been upgraded.

We checked the following things:

-tnsping succesful

-Oracle client is configured to use ldap.ora to resolve Oracle Service Name. The client does not have a tnsnames.ora but it has a ldap.ora instead.

Environment:
Harvest r12.6 on Linux 7.1Oracle 11 EXADATA on AIX 7.1, -using LDAP to resolve the name server-
Cause:

Adding Oracle LDAP into the picture for the HServer to authenticate and connect to the database does not add anything, because a DFO file will still have to be used by the HServer. So adding Oracle LDAP into this picture really does not enhance security.

Resolution:

Configured oracle client to access through tnsnames.ora